com.independentsoft.exchange

## Class CancelItem

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.ResponseItem
    - - com.independentsoft.exchange.MessageResponse
      - - com.independentsoft.exchange.CancelItem

-     public class CancelItem
      extends MessageResponse

  Represents the response object that is used to cancel a meeting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CancelItem()` Initializes a new instance of the CancelItem class.
    `CancelItem(ItemId referenceItemId)` Initializes a new instance of the CancelItem class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Converts the value of the current CancelItem object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.MessageResponse

      `getBccRecipients, getCcRecipients, getFrom, getNewBody, getReceivedBy, getReceivedRepresenting, getToRecipients, isDeliveryReceiptRequested, isReadReceiptRequested, setDeliveryReceiptRequested, setFrom, setNewBody, setReadReceiptRequested`

    - ### Methods inherited from class com.independentsoft.exchange.ResponseItem

      `getReferenceItemId, setReferenceItemId`

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelItem

          public CancelItem()

      Initializes a new instance of the CancelItem class.

    - #### CancelItem

          public CancelItem(ItemId referenceItemId)

      Initializes a new instance of the CancelItem class.
      Parameters:
        `referenceItemId` - the reference item id

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current CancelItem object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string